// varying vec2 vtc;
varying vec4 magic;
varying vec3 normal;

void main(void)
{
	vec3 direction = vec3(0,0,1);
	float light = max(dot(normal.xyz, direction), 0.0);
	
	gl_FragColor.xyz = (gl_Color.xyz + light);
	//gl_FragColor = vec4(1,1,1,1)*light;
	//gl_FragColor  = gl_Color*4.0f;
}